Skip to main content
POST
https://api-oms.verolabs.co
/
api
/
v1
/
orders
/
quote-response
Respond to a quote
curl --request POST \
  --url https://api-oms.verolabs.co/api/v1/orders/quote-response \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quote_msg_id": "<string>",
  "quote_resp_id": "<string>",
  "quote_id": "<string>",
  "quote_resp_type": 123,
  "quote_type": 123,
  "parties": [
    {
      "party_id": "<string>",
      "party_id_source": "<string>",
      "party_role": 123
    }
  ],
  "symbol": "<string>",
  "side": "<string>",
  "order_qty": 123,
  "account": "<string>",
  "account_type": 123,
  "bid_price": "<string>",
  "offer_price": "<string>",
  "bid_size": 123,
  "offer_size": 123,
  "order_type": "<string>",
  "trade_date": "<string>",
  "cash_margin": "<string>",
  "ioi_id": "<string>",
  "invest_code": "<string>",
  "forn_invest_type_code": "<string>",
  "repo_haircut_ratio_mantissa": 123,
  "collateral_value_mantissa": 123,
  "custodian_id": "<string>",
  "open_close_code": "<string>",
  "forn_nego_classfy_code": "<string>"
}
'
{
  "isSuccess": true,
  "detail": "<string>",
  "data": {
    "msg_type": "<string>",
    "request_id": "<string>",
    "orig_request_id": "<string>",
    "client_id": "<string>",
    "hft_gateway": "<string>",
    "source_service": "<string>",
    "source_sequence": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Put-through quote response request fields.

QuoteResponseRequest schema.

quote_msg_id
string
required

Required.

quote_resp_id
string

Quote response identifier.

quote_id
string

Quote identifier.

quote_resp_type
integer<int32>

Quote response type.

quote_type
integer<int32>

Quote type.

parties
object[]

Party list carried by the request.

symbol
string

Trading symbol.

side
string

Order or quote side.

order_qty
integer<int64>

Order quantity.

account
string

Trading account used by the request.

account_type
integer<int32>

Account type code.

bid_price
string

Bid price.

offer_price
string

Offer price.

bid_size
integer<int64>

Bid size.

offer_size
integer<int64>

Offer size.

order_type
string

Order type submitted by the client.

trade_date
string

Trade date value for QuoteResponseRequest.

cash_margin
string

Cash margin indicator.

ioi_id
string

IOI identifier.

invest_code
string

Investor code.

forn_invest_type_code
string

Foreign investor type code.

repo_haircut_ratio_mantissa
integer<int64>

Repo haircut ratio represented as a mantissa integer.

collateral_value_mantissa
integer<int64>

Collateral value represented as a mantissa integer.

custodian_id
string

Custodian identifier.

open_close_code
string

Open/close code.

forn_nego_classfy_code
string

Foreign negotiation classification code.

Response

Accepted

AckResponse schema.

isSuccess
boolean

Indicates whether the operation completed successfully.

Example:

true

detail
string

Detailed information for the record.

data
object

Ack schema.